#
# spec file for package squid (Version 2.4.STABLE6)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cyrus-sasl openldap2 openldap2-client openldap2-devel openssl openssl-devel sgmltool sharutils sp sp-devel tetex
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip heimdal-lib kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sharutils sp sp-devel strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         squid
Summary:      Squid WWW proxy server
Version:      2.4.STABLE6
Release:      9
License:      GNU General Public License (GPL) - all versions
URL:          http://www.squid-cache.org
Group:        Productivity/Networking/Web/Proxy
Provides:     http_proxy
Conflicts:    squid-beta squid2 squid23
Autoreqprov:  on
Source:       squid-%{version}-src.tar.bz2
%define       squid_ldapauth_version 1.3
Source1:      squid_ldapauth-%{squid_ldapauth_version}.tar.bz2
Source2:      rc.squid
Source4:      README.SuSE
Source5:      pam.squid
#Source21:     msntauth-v2.0.3-squid.1.tar.gz
Patch:        squid-2.4.STABLE2.dif
Patch1:       squid_ldapauth-%{squid_ldapauth_version}.dif
Patch10:      squid-2.4.STABLE6-htcp.patch
Patch11:      squid-2.4.STABLE6-client-T.patch
Patch12:      squid-2.4.STABLE6-cache_mem_doc.patch
Patch13:      squid-2.4.STABLE6-proxy_auth.patch
Patch14:      squid-2.4.STABLE6-deny_transfer_encoding.patch
Patch21:      squid-2.4.STABLE6-gopher.patch
Patch22:      squid-2.4.STABLE6-ftp_sanitycheck.patch
Patch23:      squid-2.4.STABLE6-ftp_directories.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The stable version of the Squid WWW Proxy Server

Home page: http://www.squid-cache.org


Authors:
--------
    Duane Wessels <wessels@ircache.net>

SuSE series: n

%prep
%setup -n squid-%{version} -a 1
#(cd auth_modules
#tar xzf %{S:21} 
#rm -r MSNT
#mv msntauth-v2.0.3-squid.1 MSNT
#)
%patch -p1
perl -pi -e 's/(?<!DESTDIR\))\$\(bindir\)/\$\(DESTDIR\)\$\(bindir\)/g' `find -name "*.in"`
perl -pi -e 's/(?<!DESTDIR\))\$\(datadir\)/\$\(DESTDIR\)\$\(datadir\)/g' `find -name "*.in"`
perl -pi -e 's/(?<!DESTDIR\))\$\(execprefix\)/\$\(DESTDIR\)\$\(execprefix\)/g' `find -name "*.in"`
perl -pi -e 's/(?<!DESTDIR\))\$\(libexecdir\)/\$\(DESTDIR\)\$\(libexecdir\)/g' `find -name "*.in"`
perl -pi -e 's/(?<!DESTDIR\))\$\(localstatedir\)/\$\(DESTDIR\)\$\(localstatedir\)/g' `find -name "*.in"`
perl -pi -e 's/(?<!DESTDIR\))\$\(sysconfdir\)/\$\(DESTDIR\)\$\(sysconfdir\)/g' `find -name "*.in"`
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
cd squid_ldapauth*
%patch1

%build
CFLAGS='-Wall -O2 -pipe'
LDFLAGS=' '
ulimit -n 4096
./configure --prefix=/usr \
	--sysconfdir=/etc \
	--bindir=/usr/sbin \
	--sbindir=/usr/sbin \
	--localstatedir=/var \
	--libexecdir=/usr/sbin \
	--datadir=/usr/share/squid \
	--enable-snmp \
	--enable-useragent-log \
	--enable-delay-pools
#--enable-linux-netfilter # linux 2.4
make 	 DEFAULT_CACHE_LOG=/var/log/squid/cache.log \
	DEFAULT_ACCESS_LOG=/var/log/squid/access.log \
	 DEFAULT_STORE_LOG=/var/log/squid/store.log \
	  DEFAULT_SWAP_DIR=/var/cache/squid \
	  DEFAULT_PID_FILE=/var/run/squid.pid
make -C squid_ldapauth-%{squid_ldapauth_version}
make -C auth_modules/PAM
make -C auth_modules/NCSA
make -C auth_modules/YP
#make -C doc/Programming-Guide

%install
mkdir -p $RPM_BUILD_ROOT/var/{cache,log}/squid
make install DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C auth_modules/PAM
make install DESTDIR=$RPM_BUILD_ROOT -C auth_modules/NCSA
make install DESTDIR=$RPM_BUILD_ROOT MAKE="make DESTDIR=$RPM_BUILD_ROOT" -C auth_modules/YP
chown squid.root -R $RPM_BUILD_ROOT/var/{cache,log}/squid
chmod 700 $RPM_BUILD_ROOT/var/{cache,log}/squid
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/squid
ln -sf /etc/init.d/squid $RPM_BUILD_ROOT/usr/sbin/rcsquid
install -d -m 755 doc/scripts
install scripts/*.pl doc/scripts
mv $RPM_BUILD_ROOT/usr/sbin/cachemgr.cgi doc/scripts
install -d -m 755 doc/contrib
install contrib/*.pl doc/contrib
#rm doc/Programming-Guide/Makefile
install -m 644 %{SOURCE4} .
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/squid
chown squid.shadow $RPM_BUILD_ROOT/usr/sbin/pam_auth
chmod g+s $RPM_BUILD_ROOT/usr/sbin/pam_auth
cd squid_ldapauth-%{squid_ldapauth_version}
install -m 750 -osquid -groot squid_ldapauth $RPM_BUILD_ROOT/usr/sbin
cp README ../README.squid_ldapauth
cp CREDITS ../CREDITS.squid_ldapauth
cp squid_ldapauth.conf ..

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv squid}

%postun
%{insserv_cleanup}

%files
%dir /var/cache/squid
%dir /var/log/squid
%dir /usr/share/squid
%config(noreplace) /etc/squid.conf
%config /etc/pam.d/squid
%config /etc/init.d/squid
%config /usr/share/squid/mib.txt
%config /usr/share/squid/mime.conf
/usr/sbin/*
%dir /usr/share/squid/errors
%config(noreplace) /usr/share/squid/errors/*
/usr/share/squid/icons
%doc CONTRIBUTORS COPYING COPYRIGHT CREDITS
%doc ChangeLog QUICKSTART README README.SuSE TODO
%doc doc/HTTP-codes.txt doc/draft-vixie-htcp-proto-04.txt
%doc doc/contrib doc/scripts doc/Programming-Guide 
%doc errors doc/debug-sections.txt src/squid.conf
%doc README.squid_ldapauth CREDITS.squid_ldapauth
%doc squid_ldapauth.conf

%changelog -n squid
* Mon Jul 08 2002 - poeml@suse.de
- drop %%pre script, mark error documents %%config(noreplace)
* Mon Jul 01 2002 - poeml@suse.de
- Update to 2.4.STABLE6 (dropping the last two patches), and add
  several new security fixes (see
  http://www.squid-cache.org/Versions/v2/2.4/bugs/):
  * Buffer overflows in the Gopher client
  * Sanity checks of the FTP data channel
  * FTP directory parsing buffer overflows
  * Insecure forwarding of proxy_auth
  and minor fixes:
  * cache_mem documentation
  * client -T not implemented
  * HTCP coredump on "squid -k reconfigure"
  * Make Squid deny transfer-encoding to work around Apache issue
  Not included, because the module is not activated:
  * Buffer overflows in the MSNT auth helper (updating the module
  from 1.2 to 2.0)
* Thu Mar 21 2002 - draht@suse.de
- squid-2.4.STABLE3-rfc1035-security.diff fixes compressed dns
  reply buffer overflow.
* Mon Feb 25 2002 - poeml@suse.de
- disable HTCP support (upon recommendation of Henrik Nordstrom
  <hno@squid-cache.org>). The implementation lacks access control
  and logging, and does not add any value to cache peering compared
  to ICP.
* Sat Feb 23 2002 - poeml@suse.de
- test for correct cache directory in rc.squid
- specify DEFAULT_PID_FILE
* Tue Feb 19 2002 - draht@suse.de
- added three security-relevant patches, combined in
  squid-2.4.STABLE3-misc-sec.dif:
  * "htcp port 0" fails to disable the HTCP port
  * coredump on ftp:// style URLs
  * fix for SNMP memory leaks
  See http://www.squid-cache.org/Versions/v2/2.4/bugs/.
* Mon Feb 18 2002 - poeml@suse.de
- update to 2.4.STABLE3: numerous bug fixes. for the Changelog see
  http://www.squid-cache.org/Versions/v2/2.4/ChangeLog.txt
- make file locations more FHS conform:
  /var/squid/cache --> /var/cache/squid
  /var/squid/logs --> /var/log/squid
- drop security patch (included upstream)
* Sat Feb 02 2002 - poeml@suse.de
- replace GmbH --> AG
* Fri Dec 14 2001 - ro@suse.de
- removed START_SQUID
* Fri Oct 05 2001 - bjacke@suse.de
- update to 2.4RC2 (prev. squid-beta package)
- use buildroot
- fix security hole where squid could be crashed by certain requests
* Tue Sep 04 2001 - bodammer@suse.de
- specfile fix: install /etc/squid.conf with noreplace [Bug #10023]
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Thu Aug 16 2001 - bodammer@suse.de
- initscript and textfiles moved away from squid-2.3.STABLE4.dif
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start squid in runlevel 2 [bug #7956]
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 17 2001 - bodammer@suse.de
- initscript fix: check for running squid before creating cache-dir
* Thu Apr 05 2001 - bodammer@suse.de
- squid.conf: allow localhost access to squid by default
- initscript: ulimit -n 4096 added to increase filedescriptors
- cachemgr.cgi moved to doc/scripts
- build of Programming-Guide removed from specfile
* Fri Mar 30 2001 - bodammer@suse.de
- initscript-fix: $named for added for required startup
* Wed Mar 28 2001 - bodammer@suse.de
- new initscript more LSB conform
* Thu Mar 22 2001 - bodammer@suse.de
- new patch from www.squid-cache.org applied
* Fri Mar 16 2001 - kukuk@suse.de
- Fix bogus requires
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 13 2001 - bodammer@suse.de
- package squid23 renamed to squid
- specfile: Obsoletes squid2 and squid23 added
  Conflicts squid-beta added (instead of squid24)
- pam_auth: permissions set to sgid shadow
- build of doc/Programming-Guide fixed
* Fri Jan 19 2001 - bodammer@suse.de
- specfile fix: ulimit was missing and conflicts squid24 added
* Tue Dec 19 2000 - bodammer@suse.de
- squid.h patched to allow increase of available filedescriptors:
  set to 4096 at buildtime by "ulimit -n 4096" in spec-file
* Tue Dec 12 2000 - ro@suse.de
- use official tags for required-start
* Mon Dec 11 2000 - bodammer@suse.de
- error in initscript fixed
* Wed Dec 06 2000 - bodammer@suse.de
- Requires ldaplib added in specfile
- errors in README.SuSE fixed
* Tue Dec 05 2000 - bodammer@suse.de
- hno-patch by Henrik Nordstrom included
- Initscript now checks for a running squid
* Mon Dec 04 2000 - bodammer@suse.de
- new patches from www.squid-cache.org included
* Tue Nov 28 2000 - bodammer@suse.de
- Fix location of rcscript
* Fri Nov 24 2000 - bodammer@suse.de
- rcscript update
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 - kukuk@suse.de
- Fix need for build filelist
* Mon Sep 18 2000 - bodammer@suse.de
- initscript reload-option fixed
- more patches from www.squid-cache.org
* Mon Jul 24 2000 - bodammer@suse.de
- another patch from www.squid-cache.org added
* Fri Jul 21 2000 - bodammer@suse.de
- patch ftp_icon_not_found from www.squid-cache.org added
* Tue Jul 18 2000 - bodammer@suse.de
- update -> squid-2.3.STABLE4
* Mon Jun 26 2000 - bodammer@suse.de
- another patch from www.squid-cache.org added
* Tue May 23 2000 - bodammer@suse.de
- specfile-fix: installation of docu changed
- initscript fixed
* Thu May 18 2000 - bodammer@suse.de
- new patches ("Disk space over the limit") included
* Wed May 17 2000 - bodammer@suse.de
- update -> squid-2.3STABLE3
* Wed Apr 12 2000 - bodammer@suse.de
- logfile-rotation disabled in squid.conf to avoid interaction
  with logfile-compression configured in /etc/logfiles
* Mon Mar 13 2000 - bodammer@suse.de
- new patches from squid.nlanr.net included
* Fri Mar 03 2000 - bodammer@suse.de
- update -> squid-2.3STABLE2
* Wed Feb 23 2000 - bodammer@suse.de
- more patches from squid.nlanr.net included
- init-script fix: wait for squid to shutdown
- location of pid-file changed to /var/run
* Wed Feb 16 2000 - bk@suse.de
- initial squid2.3STABLE1 package by bodammer
